var divHeight = ""; // 查询面板高度
var dataGridHeight = "";
var ccWidth = "";

/**
 * 初始化
 */
$(function() {

	$("#parentNameId01").attr("disabled", "disabled");
	$("#operateNameId01").attr("disabled", "disabled");
	$("#privilegeNumId01").attr("disabled", "disabled");
	$("#orderNumberId01").attr("disabled", "disabled");
	$("#descriptionId01").attr("disabled", "disabled");

	$("#addOrgWinId").window('close');
	divHeight = $("#queryDiv").height();
	ccWidth = $("#cc").width();
	dataGridHeight = divHeight + 27;
	initData();
});

function initData() {
	// 初始化菜单树
	$('#tt').tree({ 
		url : '/admin/privilegeManage/getLeftTree',
		onLoadSuccess : function(node, data) {
			// 加载成功后选中根节点
			$('#tt').tree('select', $('#tt').tree('getRoot').target);
			url = '/admin/privilegeManage/queryOrgById?orgId=' + data[0].id;
			$.post(url, function(bo) {
				$('#right').form('load', bo);
			}, 'json');
//			if(true){ //默认关闭所有节点
//				var root = $("#tt").tree("getRoot");
//				$("#tt").tree("collapseAll",root.target);
//			}
		},
		onBeforeExpand : function(node, param) {
		},
		
		onClick : function(node) {
			url = '/admin/privilegeManage/queryOrgById?orgId=' + node.id;
			$.post(url, function(bo) {
				$('#right').form('load', bo);
			}, 'json');
		}
	});
}

var orgId;
var orgName;
var operate;

/**
 * 描述：增加权限信息
 */
function openAddWin() {
	operate = "add";
	var row = $('#tt').tree('getSelected');
	if (row != null) {
		$("#addOrgWinId").window({
			title : '新增权限信息',
			width : 900,
			height : 300,
			left : (ccWidth - 900) / 2,
			top : 27,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true
		});
		$("#addOrgForm").form('clear');
		$("#addOrgWinId").window('open');
		$("#parentNameId02").val(row.text);
	} else {
		$.messager.alert('提示', "请选择上级菜单", 'error');
		return;
	}
}

// 保存
function saveData() {
	var row = $('#tt').tree('getSelected');
	$("#addOrgForm").form('submit', {
		url : '/admin/privilegeManage/addOrUpdateOperate?operatePId=' + row.id + "&operatePName=" + encodeURI(encodeURI(row.text))+"&operateType="+operate,
		onSubmit: function(){
			return $(this).form('validate');
		},
		success: function(data){
			var data = eval("("+data+")");
			if (data.flag){
				$.messager.alert('提示', data.info, 'ok');
				initData();
				closeWindow();
			} else {
				$.messager.alert("提示",data.info,'error');
			}
		}
	});
}

// 修改
function editOrg() {
	operate = "edit";
	var row = $('#tt').tree('getSelected');
	if (row != null) {
		$.getJSON(url = '/admin/privilegeManage/queryOrgById?orgId=' + row.id+"&operateType="+operate, function(data) {
			$("#addOrgForm").form('load', data);
		});
		$("#addOrgWinId").window({
			title : '修改权限信息',
			width : 900,
			height : 300,
			left : (ccWidth - 900) / 2,
			top : 27,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true
		});
		$("#addOrgWinId").window('open');
	} else {
		$.messager.alert('提示', '请选中一条记录', 'info');
		// $.调用jquery自己的内置对象
	}
}
// 删除
function delOrg() {
	var row = $('#tt').tree('getSelected');
	if (row != null) {
		$.getJSON("/admin/privilegeManage/isExistNext?orgId=" + row.id, function(obj) {
			if(obj.flag) {
				$.messager.confirm("删除", "确定删除？", function(r) {
					if (r) {
						var postUrl = '/admin/privilegeManage/deleteOrg';
						$.post(postUrl, {
							"ids" : row.id
						}, function(result) {
							if (result.flag) {
								$.messager.alert('提示', '数据删除成功！', 'info');
								initData();
							} else {
								$.messager.alert('提示', '数据删除失败！', 'info');
								initData();
							}
						}, 'json');
					}
				});
			} else {
				$.messager.alert('提示', obj.info, 'info');
			}
		});
	} else {
		$.messager.alert('提示', '请选中一条记录', 'info');
		// $.调用jquery自己的内置对象
	}
}

/**
 * id数组转换为json字符串
 */
function arrayTojson(arr) {
	var jsonIds = "[";
	for (var i = 0; i < arr.length; i++) {
		if (i == arr.length - 1) {
			jsonIds += arr[i].id;
		} else {
			jsonIds += arr[i].id + ",";
		}
	}
	jsonIds += "]";

	return jsonIds;
}

function closeWindow() {
	$("#addOrgWinId").window('close');
	initData();
}

var clientWidth = document.documentElement.clientWidth;
var clientHeight = document.documentElement.clientHeight;
$(document).ready(function() {
	// 左侧div宽度
	var div_left_width = $(".panel-header").width() + 18;
	my_resize(div_left_width);
	$(window).resize(function() {
		clientHeight = document.documentElement.offsetHeight;
		clientWidth = document.documentElement.offsetWidth;
		div_left_width = $(".panel-header").width() + 18;
		my_resize(div_left_width);
	});
	// 自动适应页面大小
	function my_resize(panelWidth) {
		$("#cc").css("width", clientWidth);
		$("#cc").css("height", clientHeight);
		// $("#cc").layout('resize',{height:clientHeight,width:clientWidth});
		$('#left').panel('resize', {
			height : clientHeight,
			width : div_left_width
		});
		$('#right').panel('resize', {
			height : clientHeight,
			width : clientWidth - panelWidth
		});

		// if(top.$("#area_map_north").height() > 10 ){
		// $("#left").css("height",clientHeight-panel_header_height);
		// $("#right").css("height",clientHeight+15);
		// }else{
		// $("#left").css("height",clientHeight-panel_header_height);
		// $("#right").css("height",clientHeight);
		// }
	} 

	$(".layout-button-left").hide();
	$(".layout-button-left").bind("click", function() {
		my_resize(div_left_width - 21);
		clientWidth = document.documentElement.clientWidth;
		$(".layout-button-right").bind("click", function() {
			var temp = 0 - div_left_width + 145;
			my_resize(temp);
			clientWidth = document.documentElement.clientWidth;
		});
	});
});